<?php

/*
 * This file is part of the PHPExifTool package.
 *
 * (c) Alchemy <support@alchemy.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\XMPPlus;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class ModelReleaseStatus extends AbstractTag
{

    protected $Id = 'ModelReleaseStatus';

    protected $Name = 'ModelReleaseStatus';

    protected $FullName = 'PLUS::XMP';

    protected $GroupName = 'XMP-plus';

    protected $g0 = 'XMP';

    protected $g1 = 'XMP-plus';

    protected $g2 = 'Author';

    protected $Type = 'string';

    protected $Writable = true;

    protected $Description = 'Model Release Status';

    protected $Values = array(
        'MR-LMR' => array(
            'Id' => 'MR-LMR',
            'Label' => 'Limited or Incomplete Model Releases',
        ),
        'MR-NAP' => array(
            'Id' => 'MR-NAP',
            'Label' => 'Not Applicable',
        ),
        'MR-NON' => array(
            'Id' => 'MR-NON',
            'Label' => 'None',
        ),
        'MR-UMR' => array(
            'Id' => 'MR-UMR',
            'Label' => 'Unlimited Model Releases',
        ),
    );

}
